"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const format = require("./format.js");
function withInstall(options) {
  options.install = (app) => {
    const { name } = options;
    if (name) {
      app.component(name, options);
      app.component(format.camelize(`-${name}`), options);
    }
  };
  return options;
}
exports.withInstall = withInstall;
